package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcOrderEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcOrderEntityExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QchjcOrderEntityMapper {
    long countByExample(QchjcOrderEntityExample example);

    int deleteByExample(QchjcOrderEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcOrderEntity record);

    int insertSelective(QchjcOrderEntity record);

    List<QchjcOrderEntity> selectByExample(QchjcOrderEntityExample example);

    QchjcOrderEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcOrderEntity record, @Param("example") QchjcOrderEntityExample example);

    int updateByExample(@Param("record") QchjcOrderEntity record, @Param("example") QchjcOrderEntityExample example);

    int updateByPrimaryKeySelective(QchjcOrderEntity record);

    int updateByPrimaryKey(QchjcOrderEntity record);

    QchjcOrderEntity selectByIdForUpdate(@Param("id") Long id);
}